Skip to main content
POST
/
identity
/
v1
/
organizations
Creates a new organization as a child of the caller's organization.
curl --request POST \
  --url https://api.sandbox.tesouro.com/identity/v1/organizations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "address": {
    "address1": "<string>",
    "address2": "<string>",
    "city": "<string>",
    "country": "<string>",
    "postalCode": "<string>",
    "stateOrProvince": "<string>"
  },
  "displayName": "<string>",
  "email": "<string>",
  "legalName": "<string>",
  "mccsAllowed": [
    "<string>"
  ],
  "shortName": "<string>",
  "type": "EMBEDDED",
  "phoneNumber": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "address": {
    "address1": "<string>",
    "address2": "<string>",
    "city": "<string>",
    "country": "<string>",
    "postalCode": "<string>",
    "stateOrProvince": "<string>"
  },
  "displayName": "<string>",
  "email": "<string>",
  "isEnabled": true,
  "legalName": "<string>",
  "mccsAllowed": [
    "<string>"
  ],
  "shortName": "<string>",
  "types": [
    "BANK"
  ],
  "phoneNumber": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

Cancellation token.

Request body for creating a new organization.

address
object
required

The organization's address.

displayName
string
required

The display name of the organization.

email
string
required

The organization's primary email address.

The official legal name of the organization.

mccsAllowed
string[]
required

The merchant category codes allowed for this organization.

shortName
string
required

A short alphanumeric identifier for the organization (letters, digits, and hyphens only).

type
enum<string>
required

The organizational type.

Available options:
EMBEDDED,
TRANSACTOR,
VERTICAL_SOFTWARE_PROVIDER
phoneNumber
null | string

The organization's phone number.

Response

Organization created successfully.

Response DTO returned when a new organization is successfully created.

id
string<uuid>
required

The unique identifier of the newly created organization.

address
object
required

The organization's address.

displayName
string
required

The display name of the organization.

email
string
required

The organization's primary email address.

isEnabled
boolean
required

Whether the organization is currently enabled.

The legal name of the organization.

mccsAllowed
string[]
required

The merchant category codes allowed for this organization.

shortName
string
required

The short identifier for the organization.

types
enum<string>[]
required

The types assigned to the organization.

Available options:
BANK,
EMBEDDED,
PLATFORM,
TRANSACTOR,
VERTICAL_SOFTWARE_PROVIDER
phoneNumber
null | string

The organization's phone number, if provided.